/*
 * Docs Dispatcher API - API document(s) generation
 * Docs.io API enables you to generate files (currently DOCx, XLSx, PPTx, PDF, HTML, JPG/PNG/SVG) from a template and JSON data. You can just download resulting file, send email with generated attachments or compose services.
 *
 * The version of the OpenAPI document: 3.1.1
 * Contact: tech@docs-dispatcher.io
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


package io.docs_dispatcher.client.api;

import io.docs_dispatcher.client.ApiException;
import io.docs_dispatcher.client.model.ConfigurationElement;
import io.docs_dispatcher.client.model.ConfigurationSchema;
import io.docs_dispatcher.client.model.Types;
import org.junit.jupiter.api.Disabled;
import org.junit.jupiter.api.Test;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * API tests for ConfigurationsHelpersApi
 */
@Disabled
public class ConfigurationsHelpersApiTest {

    private final ConfigurationsHelpersApi api = new ConfigurationsHelpersApi();

    /**
     * Get the configuration corresponding to the given config type
     *
     * @throws ApiException if the Api call fails
     */
    @Test
    public void configurationsGetConfigurationTest() throws ApiException {
        Types configTypeName = null;
        List<ConfigurationSchema> response = api.configurationsGetConfiguration(configTypeName);
        // TODO: test validations
    }

    /**
     * Get the configuration corresponding to the given config type and the given provider
     *
     * @throws ApiException if the Api call fails
     */
    @Test
    public void configurationsGetConfigurationForProviderTest() throws ApiException {
        Types configTypeName = null;
        String provider = null;
        List<ConfigurationSchema> response = api.configurationsGetConfigurationForProvider(configTypeName, provider);
        // TODO: test validations
    }

    /**
     * Retrieve all configurations json schema for services that are supported by Dispatcher service
     *
     * @throws ApiException if the Api call fails
     */
    @Test
    public void configurationsListTest() throws ApiException {
        List<ConfigurationSchema> response = api.configurationsList();
        // TODO: test validations
    }

    /**
     * Get the list of implemented providers for the given config type
     *
     * @throws ApiException if the Api call fails
     */
    @Test
    public void configurationsListProvidersTest() throws ApiException {
        Types configTypeName = null;
        List<String> response = api.configurationsListProviders(configTypeName);
        // TODO: test validations
    }

    /**
     * Validate configuration for the given config type
     *
     * @throws ApiException if the Api call fails
     */
    @Test
    public void configurationsValidateConfigurationTest() throws ApiException {
        Types configTypeName = null;
        ConfigurationElement configurationElement = null;
        Object response = api.configurationsValidateConfiguration(configTypeName, configurationElement);
        // TODO: test validations
    }

}
